package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.lookup.FieldBinding;
import org.eclipse.jdt.internal.compiler.lookup.ReferenceBinding;

public class ProblemFieldBinding extends FieldBinding {
  private int problemId;
  
  public FieldBinding closestMatch;
  
  public ProblemFieldBinding(ReferenceBinding declaringClass, char[] name, int problemId) {
    this(null, declaringClass, name, problemId);
  }
  
  public ProblemFieldBinding(FieldBinding closestMatch, ReferenceBinding declaringClass, char[] name, int problemId) {
    this.closestMatch = closestMatch;
    this.declaringClass = declaringClass;
    this.name = name;
    this.problemId = problemId;
  }
  
  public final int problemId() {
    return this.problemId;
  }
}
